<?php
/*
Plugin Name: Shortiki
Description: Плагин позволяет вывести n случайных "шортиков" с сайта shortiki.com с возможностью изменения кол-ва выводимых "шорткиов".
Author: Еникеев Игорь (Tybr)
Author URI: http://weblancer.net/users/Tybr/
*/

/*  Copyright 2012  Еникеев Игорь (Tybr)  (email: enikeev.igor.borisovich@gmail.om)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

class Shortiki extends WP_Widget { 
	function shortiki() {
		parent::WP_Widget(false, $name = 'Шортики');
	}
	
	function widget($args, $instance) {
		extract($args);
		echo $before_title . $instance['title'] . $after_title;
		$type = "random";
		$amount = $before_amount . $instance['amount'] . $after_amount;
		$url = 'http://shortiki.com/export/api.php?format=xml&type='.$type.'&amount='.$amount.'';
		$xml= simplexml_load_file($url);
		foreach ($xml->channel->item as $item) {
			echo $item->description;
			echo "<br/><br/>";
		}
		echo "<div style='text-align:right; padding-bottom:5px; position:relative; top:-20px;'>&copy; <a href='http://shortiki.com/'>shortiki.com</a></div>";
	}
	
	function update($new_instance, $old_instance) { 
		return $new_instance; 
	}
	
	function form($instance) {
		$title = esc_attr($instance['title']);
		$amount = esc_attr($instance['amount']);
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?>
				<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
			</label>
			<label for="<?php echo $this->get_field_id('amount'); ?>"><?php _e('Количество:<br/>'); ?>
				<!--<input class="widefat" id="<?php echo $this->get_field_id('amount'); ?>" name="<?php echo $this->get_field_name('amount'); ?>" type="text" value="<?php echo $amount; ?>" />
				<br/>
				Доступные значения: 1, 5, 10, 20, 30, 50, 100-->
				<select id="<?php echo $this->get_field_id('amount'); ?>" name="<?php echo $this->get_field_name('amount'); ?>" value="<?php echo $amount; ?>">
					<option value="1">1</option>
					<option value="5">5</option>
					<option value="10">10</option>
					<option value="20">20</option>
					<option value="30">30</option>
					<option value="50">50</option>
					<option value="100">100</option>
				</select>
			</label>
		</p>
		<?php
	}
}
add_action('widgets_init', create_function('', 'return register_widget("Shortiki");')); 
?>